# Dropzone Action Info
# Name: Move Files
# Description: Allows you to move dropped files to a specified folder. Hold down option while dragging to copy.
# Handles: Files
# Creator: Aptonic Software
# URL: http://aptonic.com
# OptionsNIB: ChooseFolder
# UseSelectedItemNameAndIcon: Yes
# SkipConfig: Yes
# RunsSandboxed: Yes
# Version: 1.0
# MinDropzoneVersion: 3.0

def dragged
  $dz.determinate(true)
  move = true
  
  if ENV['OPERATION'] == "NSDragOperationCopy"
    operation = "Copying"
    move = false
  else
    operation = "Moving"
  end
  
  $dz.begin("#{operation} files...")

  Rsync.do_copy($items, ENV['EXTRA_PATH'], move)
  
  finish_op = (move ? "Move" : "Copy")
  $dz.finish("#{finish_op} Complete")
  $dz.url(false)
end

def clicked
  escaped_path = ENV['EXTRA_PATH'].gsub(/["`$\\]/){ |s| '\\' + s }
  system("open \"#{escaped_path}\"")
end
