# Dropzone Action Info
# Name: Copy Files
# Description: Allows you to copy dropped files to a specified folder.
# Handles: Files
# Creator: Aptonic Software
# URL: http://aptonic.com
# OptionsNIB: ChooseFolder
# UseSelectedItemNameAndIcon: Yes
# SkipConfig: Yes
# RunsSandboxed: Yes
# Version: 1.0
# MinDropzoneVersion: 3.0

def dragged
  $dz.determinate(true)
  $dz.begin("Copying files...")
  Rsync.do_copy($items, ENV['EXTRA_PATH'], false)
  $dz.finish("Copy Complete")
  $dz.url(false)
end

def clicked
  escaped_path = ENV['EXTRA_PATH'].gsub(/["`$\\]/){ |s| '\\' + s }
  system("open \"#{escaped_path}\"")
end
