# Dropzone Action Info
# Name: Share Text
# Description: Sends the dropped text to the Pastie (pastie.org) service and puts the resulting URL on the pasteboard.
# Handles: Text
# Creator: Aptonic Software
# URL: http://aptonic.com
# SkipConfig: Yes
# RunsSandboxed: Yes
# Version: 1.0
# MinDropzoneVersion: 3.0

def dragged
  $dz.determinate(false)
  $dz.begin("Performing Paste...")

  pastie = Pastie::API.new
  url = pastie.paste($items[0], 'plain_text', false)
  if url == nil
    $dz.finish("Paste Failed")
    $dz.url(false)
    Process.exit
  end

  $dz.finish("URL is now on clipboard")
  $dz.url(url)
end

def clicked
  system("open http://pastie.org/")
end
